@import 'reset.css';
@import 'fonts.css';

:root {
    --background: #130c2a;
    --color-light: #ffffff;
    --color-dark: #130c2a;
    --primary: #1877f2;
    --primary-dark: #0d1c63;
    --secondary: #8f8cb8;
    --gradient-circle: radial-gradient(
        50% 50% at 50% 50%,
        #1877f2 0%,
        rgba(24, 119, 242, 0) 100%
    );

    --border-radius-lg: 30px;
    --border-radius-sm: 24px;
    --border-radius-xs: 3px;
}

html,
body {
    font-family: 'Unbounded', sans-serif;
    font-size: 18px;
    font-weight: 300;
    color: var(--color-light);
    background-color: var(--background);
    line-height: 1.5;
    scroll-behavior: smooth;
}

h1,
.h1 {
    font-size: 50px;
    font-weight: 400;
    line-height: 1.3;
}

h2,
.h2 {
    font-size: 32px;
    font-weight: 500;
    line-height: 1.3;
}

h3,
.h3 {
    font-size: 26px;
    font-weight: 500;
    line-height: 1.3;
}

.container {
    max-width: 1132px;
    padding-inline: 16px;
    margin-inline: auto;
}

.visually-hidden {
    position: absolute !important;
    width: 1px !important;
    height: 1px !important;
    margin: -1px !important;
    border: 0 !important;
    padding: 0 !important;
    white-space: nowrap !important;
    clip-path: inset(100%) !important;
    clip: rect(0 0 0 0) !important;
    overflow: hidden !important;
}

.button {
    background-color: var(--primary);
    padding: 18px 32px;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.25px;
    transition-duration: 300ms;
    border-radius: 3px;
    text-align: center;
}

.button:hover {
    background-color: var(--color-light);
    color: var(--primary);
}

.header {
    padding-block: 40px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 2;
}

.header__inner {
    display: flex;
    justify-content: end;
}

.header__content {
    display: flex;
    align-items: center;
    column-gap: 12px;
}

.header__product-name {
    text-align: right;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 400;
}

.header__counter {
    font-size: 26px;
    padding-block: 4px;
    width: 70px;
    text-align: center;
    background-color: var(--primary);
    border-radius: var(--border-radius-xs);
    position: relative;
}

.header__counter-value::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 1px;
    background-color: #150e30;
}

.hero {
    padding-top: 120px;
    padding-bottom: 130px;
    position: relative;
}

.hero-bg {
    position: absolute;
    -webkit-mask: -webkit-gradient(
        linear,
        left top,
        left bottom,
        color-stop(75%, #fff),
        color-stop(100%, transparent)
    );
    -webkit-mask: -webkit-linear-gradient(top, #fff 75%, transparent 100%);
    mask: -webkit-gradient(
        linear,
        left top,
        left bottom,
        color-stop(75%, #fff),
        color-stop(100%, transparent)
    );
    mask: linear-gradient(to bottom, #fff 75%, transparent 100%);
    background-image: url('../img/hero-bg.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    inset: 0;
}

.hero::before {
    position: absolute;
    top: -400px;
    left: -400px;
    content: '';
    width: 814px;
    height: 814px;
    background: var(--gradient-circle);
    z-index: 2;
}

.hero__inner {
    display: grid;
    grid-template-columns: 1fr 400px;
    column-gap: 125px;
    position: relative;
    z-index: 3;
}

.hero__title {
    margin-bottom: 10px;
}

.hero__title span {
    color: var(--primary);
}

.hero__subtitle {
    margin-bottom: 52px;
}

.hero__desc {
    color: var(--secondary);
    margin-bottom: 24px;
    font-weight: 400;
}

.hero__form {
    backdrop-filter: blur(40.20000076293945px);
    border: 2px solid #1876f237;
    background: #130c2a33;
    padding: 46px 52px;
    border-radius: var(--border-radius-lg);
    position: relative;
    overflow: hidden;
}

.hero__form::before {
    position: absolute;
    background: var(--gradient-circle);
    content: '';
    top: -50%;
    right: 0;
    width: 400px;
    height: 400px;
    z-index: 1;
}

.form__wrapper {
    position: relative;
    z-index: 2;
}

.form__body {
    display: flex;
    flex-direction: column;
    row-gap: 12px;
}

.form__title {
    text-align: center;
    font-weight: 400;
    margin-bottom: 20px;
}

.form__input {
    border: 1px solid #1877f2;
    background: #1877f21a;
    padding: 14px;
    font-size: 16px;
}

.form__input::placeholder {
    color: var(--secondary);
}

.form__button {
    margin-top: 8px;
}

.hero__rating {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 12px;
}

.hero__rating-person {
    display: flex;
    align-items: center;
}

.hero__rating-person__image {
    width: 44px;
    height: 44px;
    border-radius: 50%;
    flex-shrink: 0;
}

.hero__rating-person__image:not(:first-child) {
    margin-left: -22px;
}

.hero__rating-body {
    display: flex;
    flex-direction: column;
    row-gap: 7px;
    max-width: 248px;
    font-weight: 400;
}

.rating-view {
    display: inline-flex;
    align-items: center;
    column-gap: 2.5px;
}

.rating-view__star {
    width: 18px;
    height: 18px;
    background: url('../img/star.svg') center/contain no-repeat;
}

.celebrities {
    position: relative;
    padding-bottom: 100px;
}

.celebrities__inner {
    position: relative;
    z-index: 2;
}

.celebrities__item {
    display: grid;
    grid-template-columns: 34% 1fr;
    column-gap: 70px;
    border-bottom: 1px solid var(--primary);
    padding-bottom: 30px;
}

.celebrities__item:not(:first-child) {
    padding-top: 30px;
}

.celebrities__item:last-child {
    border-bottom: none;
    padding-bottom: 0;
}

.celebrities__item-person {
    display: flex;
    column-gap: 30px;
}

.celebrities__item-person__image {
    width: 115px;
    height: 115px;
    object-fit: cover;
    flex-shrink: 0;
    border-radius: 50%;
}

.celebrities__item-person__body {
    display: flex;
    flex-direction: column;
    row-gap: 9px;
}

.celebrities__item-person__post {
    color: var(--secondary);
    font-size: 14px;
    font-weight: 400;
}

.ai {
    padding-bottom: 116px;
}

.ai__inner {
    border-radius: var(--border-radius-lg);
    background-color: var(--primary-dark);
    position: relative;
}

.ai__body {
    padding: 60px 95px;
    width: 100%;
    background-image: url('../img/ai-bg.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: var(--border-radius-lg);
}

.ai__title {
    margin-bottom: 34px;
    max-width: 444px;
}

.ai__image {
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 2;
}

.calculator {
    padding-bottom: 90px;
    position: relative;
}

.calculator::after {
    position: absolute;
    background: var(--gradient-circle);
    content: '';
    bottom: -357px;
    left: -407px;
    width: 814px;
    height: 814px;
}

.calculator__inner {
    display: grid;
    grid-template-columns: 1fr 545px;
    column-gap: 109px;
    z-index: 2;
    position: relative;
}

.calculator__title {
    margin-bottom: 20px;
}

.calculator__desc {
    margin-bottom: 28px;
}

.calculator__form {
    background: #130c2a33;
    border: 2px solid var(--primary);
    position: relative;
    overflow: hidden;
    border-radius: var(--border-radius-lg);
    padding: 30px 40px 55px;
    text-align: center;
}

.calculator__form::before {
    position: absolute;
    content: '';
    width: 100%;
    height: 500px;
    top: -300px;
    background: var(--gradient-circle);
    left: 0;
    right: 0;
}

.calculator__form-wrapper {
    position: relative;
    z-index: 2;
}

.calculator__title {
    margin-bottom: 32px;
}

.calculator__subtitle {
    margin-bottom: 24px;
}

.calculator__calculation {
    display: grid;
    grid-template-columns: 1fr auto;
    column-gap: 22px;
    margin-bottom: 48px;
}

.calculator__input-row {
    background: #1877f21a;
    border: 1px solid var(--primary);
    display: flex;
    align-items: center;
    border-radius: var(--border-radius-xs);
}

.calculator__currency {
    text-transform: uppercase;
    font-size: 21px;
    font-weight: 400;
    padding: 16px 10px;
    border-right: 1px solid var(--primary);
    background: #1877f21a;
}

.calculator__input {
    padding: 18px 16px;
    font-size: 16px;
    font-weight: 400;
    width: 100%;
}

.calculator__input::placeholder {
    color: var(--secondary);
}

.calculator__income {
    font-size: 26px !important;
}

.calculator__income-value {
    font-size: 36px;
    font-weight: 700;
    color: var(--primary);
    margin-left: 8px;
}

.how-to-use {
    position: relative;
    z-index: 2;
    padding-bottom: 90px;
}

.how-to-use__top {
    text-align: center;
    max-width: 513px;
    margin: 0 auto;
    margin-bottom: 80px;
}

.how-to-use__title {
    margin-bottom: 8px;
}

.how-to-use__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 22px;
}

.how-to-use__item {
    position: relative;
}

.how-to-use__item:not(:last-child)::after {
    z-index: 2;
    content: '';
    background-image: url('../img/arrow-right.svg');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 50%;
    translate: 70% -50%;
    right: 0;
    width: 60px;
    height: 60px;
    border-radius: 50%;
}

.how-to-use__item-icon {
    position: absolute;
    z-index: 2;
    top: -45px;
    left: 50%;
    translate: -50%;
    width: 90px;
    height: 90px;
    background-color: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 7px;
}

.how-to-use__item-wrapper {
    overflow: hidden;
    position: relative;
    border-radius: var(--border-radius-lg);
    background: #000c704d;
    backdrop-filter: blur(40.20000076293945px);
    position: relative;
    padding: 75px 40px 42px;
    height: 100%;
}

.how-to-use__item-wrapper::before {
    position: absolute;
    content: '';
    width: 430px;
    height: 430px;
    top: -215px;
    background: var(--gradient-circle);
    left: -40px;
    right: 0;
}

.how-to-use__item-body {
    position: relative;
    z-index: 2;
}

.how-to-use__item-title {
    margin-bottom: 15px;
}

.how-to-use__item-button {
    margin-top: 30px;
}

.advantages {
    margin-bottom: 70px;
    position: relative;
}

.advantages__inner {
    position: relative;
    z-index: 2;
}

.advantages__title {
    text-align: center;
    margin-bottom: 48px;
}

.advantages__list {
    max-width: 674px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    row-gap: 30px;
}

.advantages__item {
    display: grid;
    grid-template-columns: 90px 1fr;
    column-gap: 35px;
    grid-template-areas:
        'icon body'
        'icon body';
}

.advantages__item-image {
    grid-area: icon;
    width: 90px;
    height: 90px;
    border-radius: 50%;
    background-color: var(--primary);
    box-shadow: 0px 0px 36.9px 0px #1877f2;
    display: flex;
    align-items: center;
    justify-content: center;
}

.advantages__item-title {
    margin-bottom: 7px;
    color: var(--primary);
}

.about {
    padding-bottom: 155px;
}

.about__inner {
    background-image: url('../img/about-bg.webp');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    z-index: 2;
    background-color: var(--primary-dark);
    border-radius: var(--border-radius-lg);
}

.about__body {
    padding: 50px 95px;
    padding-right: 0px;
    max-width: 626px;
    position: relative;
    z-index: 2;
}

.about__title {
    margin-bottom: 20px;
}

.about__desc {
    margin-bottom: 28px;
}

.about__cryptocurrency {
    position: absolute;
    right: 22px;
    top: 50px;
    z-index: 1;
}

.cryptocurrency__image {
    position: relative;
}

.cryptocurrency__image.binance {
    left: 91px;
}

.cryptocurrency__image.bittrex {
    top: 28px;
    left: 250px;
}

.cryptocurrency__image.kraken {
    left: -90px;
    top: 110px;
}

.cryptocurrency__image.coinbase {
    top: 140px;
    left: 0px;
}

.cryptocurrency__image.polonex {
    left: -120px;
    top: 280px;
}

.swiper {
    overflow: visible !important;
}

.reviews {
    padding-bottom: 115px;
}

.reviews-slider__slide {
    position: relative;
}

.reviews-slider__image {
    position: absolute;
    z-index: 2;
    top: -60px;
    left: 50%;
    translate: -50%;
    width: 120px;
    height: 120px;
    border-radius: 50%;
}

.reviews-slider__slide-wrapper {
    overflow: hidden;
    position: relative;
    border-radius: var(--border-radius-lg);
    background: #000c704d;
    backdrop-filter: blur(40.20000076293945px);
    position: relative;
    height: 100%;
}

.reviews-slider__slide-wrapper::before {
    position: absolute;
    content: '';
    width: 430px;
    height: 430px;
    top: -215px;
    background: var(--gradient-circle);
    left: -40px;
    right: 0;
}

.reviews-slider__slide-content {
    position: relative;
    z-index: 2;
}

.reviews-slider__slide-body {
    padding: 80px 40px 35px;
    display: flex;
    flex-direction: column;
    row-gap: 16px;
}

.reviews-slider__stars {
    width: 100%;
    justify-content: center;
}

.reviews-slider__earnings {
    backdrop-filter: blur(40.20000076293945px);
    background-color: #053676;
    text-align: center;
    padding-block: 15px;
    font-weight: 700;
    font-size: 18px;
}

.reviews-slider__control {
    display: none;
}

.reviews-slider__control-prev {
    transform: rotate(180deg);
}

.bottom {
    padding-bottom: 40px;
}

.bottom__inner {
    background-image: url('../img/bottom-bg.webp');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: var(--border-radius-lg);
    background-color: var(--primary-dark);
    text-align: center;
    padding: 78px 60px 90px;
    display: flex;
    justify-content: center;
}

.bottom__body {
    max-width: 626px;
}

.bottom__title {
    font-weight: 400;
    margin-bottom: 32px;
}

.bottom__button {
    padding-inline: 72px;
}

.footer {
    padding-bottom: 65px;
    position: relative;
    overflow: hidden;
}

.footer::after {
    position: absolute;
    background: var(--gradient-circle);
    content: '';
    bottom: -600px;
    width: 814px;
    height: 814px;
}

.footer__inner {
    position: relative;
}

.footer__menu {
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
}

.footer__menu-list {
    display: flex;
    column-gap: 50px;
    flex-wrap: wrap;
}

.footer__menu-link:hover {
    text-decoration: underline;
}

.footer__important {
    font-size: 12px;
    color: var(--secondary);
    margin-bottom: 24px;
}

.footer__copyright {
    font-size: 12px;
    text-align: center;
}
